#!/usr/local/bin/perl

# deletes data in skip_cache older than 14 days

use lib ('/export/web/ipanalyze.example.com/data/lib');

use strict;
use DBI;

my %cfg;
open(CONFIG, '/export/web/ipanalyze.example.com/data/ipanalyze.conf') || die "cannot open config: $!\n";
while(<CONFIG>){
   next if(/^[#;]/);
   chomp;
   if(/^(\S+)\s*=>\s?(.+)/){
      $cfg{$1} = $2;
   }
}
close CONFIG;

my $dbh = DBI->connect($cfg{d_dsn}, $cfg{d_dbun}, $cfg{d_dbpw}, {RaiseError => 1});
my $age = (time() - 1209600);
my $sql = 'DELETE FROM skip_cache WHERE timestamp < ' . $dbh->quote($age);
my $sth = $dbh->prepare($sql);
$sth->execute;
